import * as tslib_1 from "tslib";
import { AssigningCategoryStyleEventArgsBase } from "./igr-assigning-category-style-event-args-base";
import { AssigningCategoryMarkerStyleEventArgs as AssigningCategoryMarkerStyleEventArgs_internal } from "./AssigningCategoryMarkerStyleEventArgs";
/**
 * Represents event arguments class for the AssigningCategoryStyleEvent
*/
var AssigningCategoryMarkerStyleEventArgs = /** @class */ (function (_super) {
    tslib_1.__extends(AssigningCategoryMarkerStyleEventArgs, _super);
    function AssigningCategoryMarkerStyleEventArgs() {
        return _super.call(this) || this;
    }
    AssigningCategoryMarkerStyleEventArgs.prototype.createImplementation = function () {
        return new AssigningCategoryMarkerStyleEventArgs_internal();
    };
    Object.defineProperty(AssigningCategoryMarkerStyleEventArgs.prototype, "i", {
        get: function () {
            return this._implementation;
        },
        enumerable: true,
        configurable: true
    });
    return AssigningCategoryMarkerStyleEventArgs;
}(AssigningCategoryStyleEventArgsBase));
export { AssigningCategoryMarkerStyleEventArgs };
